(function () {
	const jsFiles = window.jsFiles || [];
	const cssFiles = window.cssFiles || [];
	function addScripts(urls) {
		urls.forEach(function onUrl(url) {
			const script = document.createElement('script');
			script.setAttribute('src', url);
			script.async = false;
			document.body.appendChild(script);
		});
	}

	function addStyles(urls) {
		urls.forEach(function onUrl(url) {
			// @see https://stackoverflow.com/questions/32759272/how-to-load-css-asynchronously
			const style = document.createElement('link');
			style.setAttribute('rel', 'stylesheet');
			style.setAttribute('media', 'print');
			style.setAttribute('onload', 'this.media="all"');
			style.setAttribute('href', url);
			document.body.appendChild(style);
		});
	}
	document.addEventListener('DOMContentLoaded', function onDocumentReady() {
		// try to update deps from cookie variable
		addStyles(cssFiles);
		addScripts(jsFiles);
	});
})();
